PROGRAM_NAME='ChristieDigital_DS60_Main'
(*{{PS_SOURCE_INFO(PROGRAM STATS)                          *)
(***********************************************************)
(*  FILE CREATED ON: 10/25/2003 AT: 11:07:01               *)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 04/15/2006  AT: 19:30:31        *)
(***********************************************************)
(*  ORPHAN_FILE_PLATFORM: 1                                *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 06/06/2003                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*!!FILE REVISION: Rev 0                                   *)
(*  REVISION DATE: 04/15/2003                              *)
(*                                                         *)
(*  COMMENTS:                                              *)
(*                                                         *)
(***********************************************************)
(*}}PS_SOURCE_INFO                                         *)
(***********************************************************)


DEFINE_DEVICE

    dvDS60           = 5001:1:0
                        (*rate = 19200 bps
                          data bits = 8
                          stop bit  = 1
                          parity    = no parity
                          Handshaking = off
                       
                       *)
                       
    dvDS60TP    = 10001:1:0

    vdvDS60     = 33001:1:0

    vdvDS60TP   = 33002:1:0

DEFINE_CONSTANT

    INTEGER nTPButtons[] = 

    {
        1,  // power  
        2,  // normal
        3,  // wide
        4,  // 16:9
        5,  // panorama
        6,  // 1:1 
        7,  // game
        8,  // auto
        10, // analog RGB1
        11, // analog RGB2
        12, // digital RGB 
        13, // composite
        14, // s-video 
        15, // component
	16, // d1	
	17, // RGB+C
        20, // 0
        21, // 1
        22, // 2
        23, // 3
        24, // 4
        25, // 5 
        26, // 6
	27, // 7
        28, // 8 
        29, // 9
        30, // clear
        200, // brightness enter	
        201, // brightness up1
        202, // brightness up10	
        203, // brightness down1
        204, // brightness down10
        200, // color enter	
        211, // color up1
        212, // color up10	
        213, // color down1
        214, // color down10
        220, // contrast enter	
        221, // contrast up1
        222, // contrast up10	
        223, // contrast down1
        224, // contrast down10
        230, // tint enter	
        231, // tint up1
        232, // tint up10	
        233, // tint down1
        234, // tint down10
//   the items below are variable text buttons
        200, // brightness level
        210, // color level
        220, // contrast level
        230, // tint level
	250  // kepad indicator
    }
    
DEFINE_COMBINE

    (vdvDS60TP, dvDS60TP)

DEFINE_TYPE

DEFINE_VARIABLE

     DEV dvTPArray[] = { vdvDS60TP, dvDS60TP }

DEFINE_MODULE 'ChristieDigital_DS60_Comm' mdlDS60_APP(vdvDS60, dvDS60)

DEFINE_MODULE 'ChristieDigital_DS60_UI' mdlDS60_APP(vdvDS60, dvTPArray, nTPButtons) 
                                                
